Module com.microsoft.sqlserver.jdbc
Package com.microsoft.sqlserver.jdbc

# Class SQLServerDataColumn

java.lang.Object
com.microsoft.sqlserver.jdbc.SQLServerDataColumn

public final class SQLServerDataColumn extends Object
Represents a column of the in-memory data table represented by `SQLServerDataTable`.

## Constructor Summary

Constructors
Constructor
Description
`SQLServerDataColumn​(String columnName, int sqlType)`
Constructs a SQLServerDataColumn with the column name and type.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals​(Object object)`
`String`
`getColumnName()`
Returns the column name.
`int`
`getColumnType()`
Returns the column type.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SQLServerDataColumn

public SQLServerDataColumn​(String columnName, int sqlType)
Constructs a SQLServerDataColumn with the column name and type.

Parameters:
  `columnName` - the name of the column
  `sqlType` - the type of the column

## Method Details

### getColumnName

public String getColumnName()
Returns the column name.

Returns:
  the name of the column.

### getColumnType

public int getColumnType()
Returns the column type.

Returns:
  the column type.

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals​(Object object)

Overrides:
  `equals` in class `Object`